
/* colors :
  #DAFF3D
  #6181AA
  #FF513D
  #79805E
  #3D91FF */

:root {
  --primary-color-datepicker: rgba(61 , 145, 255, 255);
  --sunday-color-datepicker: #FF513D;
  --header-background-datepicker: #79805E;
  --begin-end-radius-datepicker: 20px;
  --animations-speed-datepicker: 0.4s;
}
 

.next-datepicker-range {
  font-size: 10px;
  display: flex;
  flex-direction: row;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06);
  & > * {
    transform: translateX(9px);
  }
}

.calendar-container-datepicker {
  display: flex;
  flex-direction: column;
}

.buttons-wrapper-datepicker {
  position: absolute;
  transform: translate(-200px, -1px);
  display: flex;
  flex-direction: column;
  margin-right: 10px;
  margin-top: 39px;
  & > .horizontally {
    display: flex;
    flex-direction: row;
  }
}

.button-datepicker {
  display: inline-block;
  padding: 2px 4px;
  margin: 2px;;
  font-size: 12px;
  font-weight: 500;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
  border: 2px solid var(--primary-color-datepicker);
  color: var(--primary-color-datepicker);
  background-color: #fff;
}

.button-datepicker:hover {
  background-color: var(--primary-color-datepicker);
  color: #fff;
}

.button-datepicker:active {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.button-datepicker:focus {
  outline: none;
}

.button-datepicker:disabled {
  opacity: 0.7;
  cursor: not-allowed;
  border: 2px solid #ccc;
  color: #ccc;
  background-color: #f9f9f9;
}

.button-datepicker:disabled:hover {
  background-color: #f9f9f9;
  color: #ccc;
}

.arrow-datepicker {
  cursor: pointer;
  position: relative;
  display: block;
  margin: auto;
  width: 30px;
  height: 30px;
  border: solid 2px #999;
  border-radius: 100%;
  z-index: 1;
  transition: all calc(var(--animations-speed-datepicker) / 2) ease-in;
}

.arrow-datepicker:before,
.arrow-datepicker:after {
  content: "";
  position: absolute;
  width: 35%;
  height: 10%;
  top: 41%;
  left: 55%;
  background: #999;
  z-index: 2;
  transform: translate(-50%, -50%) rotate(45deg);
  transition: all var(--animations-speed-datepicker) ease-in;
}

.arrow-datepicker:after {
  z-index: 3;
  top: 59%;
  left: 55%;
  transform: translate(-50%, -50%) rotate(-45deg);
}

.arrow-datepicker:hover {
  border: solid 8px #777;
}

.arrow-datepicker:hover:after,
.arrow-datepicker:hover:before {
  background: #777;
}

.arrow-datepicker:active {
  border: solid 8px #111;
}

.arrow-datepicker:active:after,
.arrow-datepicker:active:before {
  background: #111;
}

.left-datepicker:before,
.left-datepicker:after {
  transform: translate(-75%, -50%) rotate(-45deg);
}

.left-datepicker:after {
  transform: translate(-75%, -50%) rotate(45deg);
}

.header-datepicker {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: normal;
  background: var(--header-background-datepicker);
  border-bottom: 1px solid #ccc;
  padding: 0 10px;
  height: 60px;
  line-height: 60 px;
  filter: revert(grayscale(100%));
  position: relative;
  right: 6px;
  margin-left: -3px;
}

.yearinput-datepicker {
  border: 0;
  width: 53px;
  background: rgba(255, 255, 255, 0);
  margin: 2px;
}

.year-and-month-wrapper-datepicker {
  display: flex;
  flex-direction: row;
  margin: 4px;
}

.select-datepicker {
  border: 0;
  background: rgba(255, 255, 255, 0);
  margin: 2px;
}

.weekline-datepicker {
  display: flex;
  flex-direction: row;
}

.weekname-datepicker {
  width: 30px;
  margin-top:4px;
}

.ceil-datepicker {
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  margin-bottom: 2px;
}

.sunday-container-datapicker {
  color: var(--sunday-color-datepicker);
}

.selected-datepicker {
  transition: all var(--animations-speed-datepicker) ease-in;
  background: var(--primary-color-datepicker);
  color: rgba(220, 220, 220, 1);
}

.selected-datepicker.begin {
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

.selected-datepicker.end {
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
}

.disabled-datapicker {
  color: rgba(100, 100, 100, 0.4);
  cursor: not-allowed;
}

.preselected-datapicker {
  transition: all var(--animations-speed-datepicker) ease-in;
  font-weight: 700;
  border-top: 1px solid var(--primary-color-datepicker);
  border-bottom: 1px solid var(--primary-color-datepicker);
}

.preselected-datapicker.begin {
  border-top-left-radius: var(--begin-end-radius-datepicker);
  border-bottom-left-radius: var(--begin-end-radius-datepicker);
  border-left: 1px solid var(--primary-color-datepicker);
}

.preselected-datapicker.end {
  border-top-right-radius: var(--begin-end-radius-datepicker);
  border-bottom-right-radius: var(--begin-end-radius-datepicker);
  border-right: 1px solid var(--primary-color-datepicker);
}

.material-button {
  display: inline-block;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
  color: #fff;
  background-color: #2196F3; /* Material Blue */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.material-button:hover {
  background-color: #1565C0; /* Darker shade on hover */
}

.material-button:active {
  background-color: #0D47A1; /* Even darker shade on click */
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}